.modal-content {
  color: var(--color-white);
  background-color: var(--color-neutral-3);
}

.contact-links {
  display: flex;
  flex-wrap: wrap;
  gap: 1.5em;
  padding: 1rem;
  margin-top: auto;

  .contact-link {
    display: flex;
    align-items: center;
    gap: 0.75em;
    color: var(--color-white);
    transition: all 0.15s;

    .btn-icon {
      display: grid;
      place-items: center;
      width: 2em;
      height: 2em;
      border: 1px solid var(--color-white);
      border-radius: 50em;
      padding: 0.25em;
      transition: all 0.15s;
    }

    &:hover,
    &:focus-visible {
      color: var(--color-primary);
      .btn-icon {
        border-color: var(--color-primary);
      }
    }
  }

  @media (width >= 1400px) {
    flex-direction: row;
    align-items: center;
    margin-top: 0;
  }
}

.iconbox {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding: 3rem 2.5rem;
  color: var(--color-white);
  border: 1px solid var(--color-neutral-2);
  transition: all 0.15s;

  .icon {
    font-size: 3.125rem;
  }
  .text {
    font-size: 26px;
  }

  &:hover {
    color: var(--color-primary);
    border-color: var(--color-primary);
  }
}

.iconbox2 {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding: 3rem 2.5rem;
  color: var(--color-white);
  border: 1px solid var(--color-neutral-3);
  background-color: var(--color-neutral-3);
  border-radius: 0.625rem;
  transition: all 0.15s;

  .icon {
    font-size: 3.125rem;
  }
  .text {
    font-size: 26px;
  }

  &:hover {
    color: var(--color-primary);
    border-color: var(--color-neutral-2);
  }
}

.iconbox3 {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 1rem;
  padding: 2rem;
  color: var(--color-white);
  border: 1px solid var(--color-neutral-3);
  background-color: var(--color-neutral-3);
  border-radius: 0.625rem;
  transition: all 0.15s;

  .icon-container {
    display: grid;
    place-items: center;
    width: 5rem;
    height: 5rem;
    background-color: oklch(from var(--color-black) l c h / 0.5);
    border-radius: 50em;
    transition: all 0.15s;
  }
  .icon {
    font-size: 2.875rem;
    transition: all 0.15s;
  }
  .label {
    color: var(--color-neutral-1);
    transition: all 0.15s;
  }
  .text {
    font-size: 26px;
    transition: all 0.15s;
  }

  .link {
    position: absolute;
    inset: 0;
  }

  &:hover {
    border-color: var(--color-neutral-2);

    .icon-container {
      background-color: var(--color-primary);
      .icon {
        color: var(--color-white);
      }
    }
  }
}

.counter {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;

  .counter-number {
    font-size: var(--text-8xl);
    font-weight: 700;
  }
  .counter-text {
    color: var(--color-neutral-1);
    text-transform: uppercase;
  }
}

.custom-modal {
  .close-modal {
    width: 2.5rem;
    height: 2.5rem;
    font-size: 1em;
    position: absolute;
    top: 1rem;
    right: 1rem;
    padding: 0;
    border: none;
    background: none;
    font-size: var(--text-xl);
    color: var(--color-white);
    background-color: var(--color-primary);
    border-radius: 50em;
    transition: all 0.15s;
    z-index: 9;

    &:hover,
    &:focus-visible {
      color: var(--color-white);
      background-color: var(--color-black);
    }
  }
}